------------------------------------------------------------
-- VHDL FPGAPowerTiming2
-- 2008 9 4 15 1 32
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAPowerTiming2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAPowerTiming2 Is
  port
  (
    ACLK    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=ACLK
    ACNV    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=ACNV
    AIN     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=AIN
    CFG_CLK : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_CS
    CFG_SI  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CFG_SO
    CNTROUT : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=CNTROUT
    FAIL    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=FAIL
    LEDIN   : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=LEDIN
    LOS     : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=LOS
    OSCCLK  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=OSCCLK
    PWRSYNC : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=PWRSYNC
    S       : In    STD_LOGIC_VECTOR(1 TO 64);               -- ObjectKind=Port|PrimaryId=S[1..64]
    SW      : In    STD_LOGIC_VECTOR(8 DOWNTO 1);            -- ObjectKind=Port|PrimaryId=SW[8..1]
    SYNC    : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=SYNC
    SYNCIN  : In    STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=SYNCIN
    SYNCLK  : Out   STD_LOGIC;                               -- ObjectKind=Port|PrimaryId=SYNCLK
    SYNCOUT : Out   STD_LOGIC                                -- ObjectKind=Port|PrimaryId=SYNCOUT
  );
  attribute MacroCell : boolean;

End FPGAPowerTiming2;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of FPGAPowerTiming2 is
   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U78-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U78-O
      );
   End Component;

   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U89-O
      );
   End Component;

   Component AND8B                                           -- ObjectKind=Part|PrimaryId=U82|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U82-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U82-O
      );
   End Component;

   Component AND8S                                           -- ObjectKind=Part|PrimaryId=U76|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I4
        I5 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I5
        I6 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I6
        I7 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U76-I7
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U76-O
      );
   End Component;

   Component AND32B                                          -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(31 downto 0);               -- ObjectKind=Pin|PrimaryId=U88-I[31..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U88-O
      );
   End Component;

   Component FRQCNT2                                         -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      port
      (
        FREQA    : in STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U79-FREQA
        FREQB    : in STD_LOGIC;                             -- ObjectKind=Pin|PrimaryId=U79-FREQB
        TIMEBASE : in STD_LOGIC                              -- ObjectKind=Pin|PrimaryId=U79-TIMEBASE
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U80|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U80-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U80-O
      );
   End Component;


    Signal NamedSignal_CFG_CLK     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal NamedSignal_CFG_CS      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CS
    Signal NamedSignal_CFG_SI      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SI
    Signal NamedSignal_CFG_SO      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal NamedSignal_CNTROUT     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT
    Signal NamedSignal_FAIL        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCLK
    Signal NamedSignal_JoinB_JB_C1 : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU82_I[7..0]
    Signal NamedSignal_LEDIN       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEDIN
    Signal NamedSignal_LOS         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOS
    Signal NamedSignal_OSCCLK      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OSCCLK
    Signal NamedSignal_PWRSYNC     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PWRSYNC
    Signal NamedSignal_S           : STD_LOGIC_VECTOR(1 to 64); -- ObjectKind=Net|PrimaryId=S[40..0]
    Signal NamedSignal_SW          : STD_LOGIC_VECTOR(8 downto 1); -- ObjectKind=Net|PrimaryId=SW[8..1]
    Signal NamedSignal_SYNC        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT
    Signal NamedSignal_SYNCIN      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCIN
    Signal NamedSignal_SYNCLK      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCLK
    Signal NamedSignal_SYNCOUT     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT
    Signal PinSignal_U76_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU76_O
    Signal PinSignal_U77_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PWRSYNC
    Signal PinSignal_U78_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_O
    Signal PinSignal_U80_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCOUT
    Signal PinSignal_U81_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEDIN
    Signal PinSignal_U82_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCLK
    Signal PinSignal_U83_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal PinSignal_U88_I         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=S[40..0]
    Signal PinSignal_U88_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU88_O
    Signal PinSignal_U89_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CS
    Signal PinSignal_U90_I         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=S[64..0]
    Signal PinSignal_U90_O         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU89_I0

begin
    U90 : AND32B                                             -- ObjectKind=Part|PrimaryId=U90|SecondaryId=1
      Port Map
      (
        I => PinSignal_U90_I,                                -- ObjectKind=Pin|PrimaryId=U90-I[31..0]
        O => PinSignal_U90_O                                 -- ObjectKind=Pin|PrimaryId=U90-O
      );

    U89 : AND3S                                              -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U90_O,                               -- ObjectKind=Pin|PrimaryId=U89-I0
        I1 => PinSignal_U88_O,                               -- ObjectKind=Pin|PrimaryId=U89-I1
        I2 => PinSignal_U76_O,                               -- ObjectKind=Pin|PrimaryId=U89-I2
        O  => PinSignal_U89_O                                -- ObjectKind=Pin|PrimaryId=U89-O
      );

    U88 : AND32B                                             -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      Port Map
      (
        I => PinSignal_U88_I,                                -- ObjectKind=Pin|PrimaryId=U88-I[31..0]
        O => PinSignal_U88_O                                 -- ObjectKind=Pin|PrimaryId=U88-O
      );

    U83 : INV                                                -- ObjectKind=Part|PrimaryId=U83|SecondaryId=1
      Port Map
      (
        I => NamedSignal_CFG_SI,                             -- ObjectKind=Pin|PrimaryId=U83-I
        O => PinSignal_U83_O                                 -- ObjectKind=Pin|PrimaryId=U83-O
      );

    U82 : AND8B                                              -- ObjectKind=Part|PrimaryId=U82|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C1,                        -- ObjectKind=Pin|PrimaryId=U82-I[7..0]
        O => PinSignal_U82_O                                 -- ObjectKind=Pin|PrimaryId=U82-O
      );

    U81 : INV                                                -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      Port Map
      (
        I => NamedSignal_LOS,                                -- ObjectKind=Pin|PrimaryId=U81-I
        O => PinSignal_U81_O                                 -- ObjectKind=Pin|PrimaryId=U81-O
      );

    U80 : INV                                                -- ObjectKind=Part|PrimaryId=U80|SecondaryId=1
      Port Map
      (
        I => NamedSignal_SYNCIN,                             -- ObjectKind=Pin|PrimaryId=U80-I
        O => PinSignal_U80_O                                 -- ObjectKind=Pin|PrimaryId=U80-O
      );

    U79 : FRQCNT2                                            -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      Port Map
      (
        FREQA    => NamedSignal_SYNCIN,                      -- ObjectKind=Pin|PrimaryId=U79-FREQA
        FREQB    => NamedSignal_SYNC,                        -- ObjectKind=Pin|PrimaryId=U79-FREQB
        TIMEBASE => NamedSignal_OSCCLK                       -- ObjectKind=Pin|PrimaryId=U79-TIMEBASE
      );

    U78 : AND2S                                              -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      Port Map
      (
        I0 => AIN,                                           -- ObjectKind=Pin|PrimaryId=U78-I0
        I1 => AIN,                                           -- ObjectKind=Pin|PrimaryId=U78-I1
        O  => PinSignal_U78_O                                -- ObjectKind=Pin|PrimaryId=U78-O
      );

    U77 : AND8S                                              -- ObjectKind=Part|PrimaryId=U77|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_S(4),                              -- ObjectKind=Pin|PrimaryId=U77-I0
        I1 => NamedSignal_S(3),                              -- ObjectKind=Pin|PrimaryId=U77-I1
        I2 => NamedSignal_S(5),                              -- ObjectKind=Pin|PrimaryId=U77-I2
        I3 => NamedSignal_S(6),                              -- ObjectKind=Pin|PrimaryId=U77-I3
        I4 => NamedSignal_S(1),                              -- ObjectKind=Pin|PrimaryId=U77-I4
        I5 => NamedSignal_S(7),                              -- ObjectKind=Pin|PrimaryId=U77-I5
        I6 => NamedSignal_S(2),                              -- ObjectKind=Pin|PrimaryId=U77-I6
        I7 => NamedSignal_S(8),                              -- ObjectKind=Pin|PrimaryId=U77-I7
        O  => PinSignal_U77_O                                -- ObjectKind=Pin|PrimaryId=U77-O
      );

    U76 : AND8S                                              -- ObjectKind=Part|PrimaryId=U76|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_S(9),                              -- ObjectKind=Pin|PrimaryId=U76-I0
        I1 => NamedSignal_S(10),                             -- ObjectKind=Pin|PrimaryId=U76-I1
        I2 => NamedSignal_S(11),                             -- ObjectKind=Pin|PrimaryId=U76-I2
        I3 => NamedSignal_S(12),                             -- ObjectKind=Pin|PrimaryId=U76-I3
        I4 => NamedSignal_S(13),                             -- ObjectKind=Pin|PrimaryId=U76-I4
        I5 => NamedSignal_S(14),                             -- ObjectKind=Pin|PrimaryId=U76-I5
        I6 => NamedSignal_S(15),                             -- ObjectKind=Pin|PrimaryId=U76-I6
        I7 => NamedSignal_S(16),                             -- ObjectKind=Pin|PrimaryId=U76-I7
        O  => PinSignal_U76_O                                -- ObjectKind=Pin|PrimaryId=U76-O
      );

    -- Signal Assignments
    ---------------------
    ACLK                    <= PinSignal_U78_O; -- ObjectKind=Net|PrimaryId=NetU78_O
    ACNV                    <= PinSignal_U78_O; -- ObjectKind=Net|PrimaryId=NetU78_O
    CFG_CLK                 <= NamedSignal_CFG_CLK; -- ObjectKind=Net|PrimaryId=CFG_SO
    CFG_CS                  <= NamedSignal_CFG_CS; -- ObjectKind=Net|PrimaryId=CFG_CS
    CFG_SO                  <= NamedSignal_CFG_SO; -- ObjectKind=Net|PrimaryId=CFG_SO
    CNTROUT                 <= NamedSignal_CNTROUT; -- ObjectKind=Net|PrimaryId=SYNCOUT
    FAIL                    <= NamedSignal_FAIL; -- ObjectKind=Net|PrimaryId=SYNCLK
    LEDIN                   <= NamedSignal_LEDIN; -- ObjectKind=Net|PrimaryId=LEDIN
    NamedSignal_CFG_CLK     <= PinSignal_U83_O; -- ObjectKind=Net|PrimaryId=CFG_SO
    NamedSignal_CFG_CS      <= PinSignal_U89_O; -- ObjectKind=Net|PrimaryId=CFG_CS
    NamedSignal_CFG_SI      <= CFG_SI; -- ObjectKind=Net|PrimaryId=CFG_SI
    NamedSignal_CFG_SO      <= PinSignal_U83_O; -- ObjectKind=Net|PrimaryId=CFG_SO
    NamedSignal_CNTROUT     <= PinSignal_U80_O; -- ObjectKind=Net|PrimaryId=SYNCOUT
    NamedSignal_FAIL        <= PinSignal_U82_O; -- ObjectKind=Net|PrimaryId=SYNCLK
    NamedSignal_JoinB_JB_C1 <= NamedSignal_SW;
    NamedSignal_LEDIN       <= PinSignal_U81_O; -- ObjectKind=Net|PrimaryId=LEDIN
    NamedSignal_LOS         <= LOS; -- ObjectKind=Net|PrimaryId=LOS
    NamedSignal_OSCCLK      <= OSCCLK; -- ObjectKind=Net|PrimaryId=OSCCLK
    NamedSignal_PWRSYNC     <= PinSignal_U77_O; -- ObjectKind=Net|PrimaryId=PWRSYNC
    NamedSignal_S           <= S; -- ObjectKind=Net|PrimaryId=S[1..64]
    NamedSignal_SW          <= SW; -- ObjectKind=Net|PrimaryId=SW[8..1]
    NamedSignal_SYNC        <= PinSignal_U80_O; -- ObjectKind=Net|PrimaryId=SYNCOUT
    NamedSignal_SYNCIN      <= SYNCIN; -- ObjectKind=Net|PrimaryId=SYNCIN
    NamedSignal_SYNCLK      <= PinSignal_U82_O; -- ObjectKind=Net|PrimaryId=SYNCLK
    NamedSignal_SYNCOUT     <= PinSignal_U80_O; -- ObjectKind=Net|PrimaryId=SYNCOUT
    PinSignal_U88_I         <= NamedSignal_S(9 to 40); -- ObjectKind=Net|PrimaryId=S[40..0]
    PinSignal_U90_I         <= NamedSignal_S(33 to 64); -- ObjectKind=Net|PrimaryId=S[64..0]
    PWRSYNC                 <= NamedSignal_PWRSYNC; -- ObjectKind=Net|PrimaryId=PWRSYNC
    SYNC                    <= NamedSignal_SYNC; -- ObjectKind=Net|PrimaryId=SYNCOUT
    SYNCLK                  <= NamedSignal_SYNCLK; -- ObjectKind=Net|PrimaryId=SYNCLK
    SYNCOUT                 <= NamedSignal_SYNCOUT; -- ObjectKind=Net|PrimaryId=SYNCOUT

end structure;
------------------------------------------------------------

